# Schedules ## List schedules **get** `/api/v1/schedules` List schedules ### Query Parameters - `cursor: optional string` Opaque cursor from the previous response `nextCursor`. - `includeDeleted: optional boolean` - `limit: optional number` - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/schedules ``` ## Create schedule **post** `/api/v1/schedules` Increments the Replicache space version via repVersionIncrement after writing. ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/schedules \ -X POST ``` ## Get schedule **get** `/api/v1/schedules/{scheduleId}` Get schedule ### Path Parameters - `scheduleId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/schedules/$SCHEDULE_ID ``` ## Update schedule **patch** `/api/v1/schedules/{scheduleId}` Increments the Replicache space version via repVersionIncrement after writing. ### Path Parameters - `scheduleId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/schedules/$SCHEDULE_ID \ -X PATCH ``` ## Delete schedule (soft) **delete** `/api/v1/schedules/{scheduleId}` Increments the Replicache space version via repVersionIncrement after writing. ### Path Parameters - `scheduleId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/schedules/$SCHEDULE_ID \ -X DELETE ```